Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_SOCK_Dgram_Bcast Class Reference

Defines the member functions for the ACE_SOCK datagram abstraction. More...

`#include <SOCK_Dgram_Bcast.h>`

Inheritance diagram for ACE_SOCK_Dgram_Bcast

[legend]
Collaboration diagram for ACE_SOCK_Dgram_Bcast:

[legend]
List of all members.

## Public Methods
| ACE_SOCK_Dgram_Bcast (void)
| Default constructor.
| ACE_SOCK_Dgram_Bcast (const ACE_Addr &local, int protocol_family = PF_INET, int protocol = 0, int reuse_addr = 0, const ACE_TCHAR *host_name = 0)
| ~ACE_SOCK_Dgram_Bcast (void)
| Default dtor.
int | open (const ACE_Addr &local, int protocol_family = PF_INET, int protocol = 0, int reuse_addr = 0, const ACE_TCHAR *host_name = 0)
| Initiate a connectionless datagram broadcast endpoint.
int | close (void)
| Close up and release dynamically allocated resources.
ssize_t | send (const void *buf, size_t n, u_short portnum, int flags = 0) const
| Broadcast the datagram to every interface. Returns the average number of bytes sent.
ssize_t | send (const iovec iov[], size_t n, u_short portnum, int flags = 0) const
| Broadcast the <iovec> datagrams to every interface. Returns the average number of bytes sent.
ssize_t | send (const void *buf, size_t n, const ACE_Addr &addr, int flags = 0) const
| Broadcast an N byte datagram to ADDR (note that addr must be preassigned to the broadcast address of the subnet...).
ssize_t | send (const iovec iov[], size_t n, const ACE_Addr &addr, int flags = 0) const
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Private Methods
int | mk_broadcast (const ACE_TCHAR *host_name)
| Make broadcast available for Datagram socket.
int | get_remote_addr (ACE_Addr &) const
| Do not allow this function to percolate up to this interface...
## Private Attributes
ACE_Bcast_Node* | if_list_
| Points to the head of the list of broadcast interfaces.

## Detailed Description

Defines the member functions for the ACE_SOCK datagram abstraction.

## Constructor & Destructor Documentation

ACE_SOCK_Dgram_Bcast::ACE_SOCK_Dgram_Bcast ( | void )

| Default constructor.

ACE_SOCK_Dgram_Bcast::ACE_SOCK_Dgram_Bcast ( | const ACE_Addr & local,
| int protocol_family = PF_INET,
| int protocol = 0,
| int reuse_addr = 0,
| const ACE_TCHAR * host_name = 0 )

ASYS_INLINE ACE_SOCK_Dgram_Bcast::~ACE_SOCK_Dgram_Bcast ( | void )

| Default dtor.

## Member Function Documentation

int ACE_SOCK_Dgram_Bcast::close ( | void )

| Close up and release dynamically allocated resources. Reimplemented from ACE_SOCK.

void ACE_SOCK_Dgram_Bcast::dump ( | void ) const

| Dump the state of an object. Reimplemented from ACE_SOCK_Dgram.

int ACE_SOCK_Dgram_Bcast::get_remote_addr ( | ACE_Addr & addr ) const`[private]`

| Do not allow this function to percolate up to this interface... Reimplemented from ACE_SOCK_Dgram.

int ACE_SOCK_Dgram_Bcast::mk_broadcast ( | const ACE_TCHAR * host_name )`[private]`

| Make broadcast available for Datagram socket.

int ACE_SOCK_Dgram_Bcast::open ( | const ACE_Addr & local,
| int protocol_family = PF_INET,
| int protocol = 0,
| int reuse_addr = 0,
| const ACE_TCHAR * host_name = 0 )

| Initiate a connectionless datagram broadcast endpoint.

ssize_t ACE_SOCK_Dgram_Bcast::send ( | const iovec iov[],
| size_t n,
| const ACE_Addr & addr,
| int flags = 0 ) const

| Broadcast an <iovec> of size <n> to as a datagram (note that addr must be preassigned to the broadcast address of the subnet...) Reimplemented from ACE_SOCK_Dgram.

ASYS_INLINE ssize_t ACE_SOCK_Dgram_Bcast::send ( | const void * buf,
| size_t n,
| const ACE_Addr & addr,
| int flags = 0 ) const

| Broadcast an N byte datagram to ADDR (note that addr must be preassigned to the broadcast address of the subnet...). Reimplemented from ACE_SOCK_Dgram.

ssize_t ACE_SOCK_Dgram_Bcast::send ( | const iovec iov[],
| size_t n,
| u_short portnum,
| int flags = 0 ) const

| Broadcast the <iovec> datagrams to every interface. Returns the average number of bytes sent.

ssize_t ACE_SOCK_Dgram_Bcast::send ( | const void * buf,
| size_t n,
| u_short portnum,
| int flags = 0 ) const

| Broadcast the datagram to every interface. Returns the average number of bytes sent.

## Member Data Documentation

ACE_SOCK_Dgram_Bcast::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_SOCK_Dgram.

ACE_Bcast_Node * ACE_SOCK_Dgram_Bcast::if_list_`[private]`

| Points to the head of the list of broadcast interfaces.

The documentation for this class was generated from the following files:

- SOCK_Dgram_Bcast.h
- SOCK_Dgram_Bcast.cpp
- SOCK_Dgram_Bcast.i